<?php
require_once 'config.php';

$databaseFile = (isset($databaseFile)) ? $databaseFile : 'counter.sqlite';
$visitorsPageTitle = (isset($visitorsPageTitle)) ? $visitorsPageTitle : 'Online Visitors';
$unknownPages = (isset($unknownPages)) ? $unknownPages : 'Unknown Page';

echo "<h3 style='color:#ffffff;'>$visitorsPageTitle</h3>";

try
{
    if (!file_exists($databaseFile))
    {
        $createQuery = "CREATE TABLE 'online' ('id' TEXT PRIMARY KEY NOT NULL, 'page_title' TEXT, 'page_url' TEXT, 'last_activity' INTEGER)";
    }

    $db = new PDO("sqlite:$databaseFile");

    if (isset($createQuery))
    {
        $db->query($createQuery);
    }

    $result = $db->query('SELECT page_title, page_url, COUNT(page_url) AS count FROM online GROUP BY page_url ORDER BY count DESC');

    if ($result)
    {
        $result = $result->fetchAll(PDO::FETCH_ASSOC);

        foreach ($result as $page)
        {
            if (empty($page['page_title']))
            {
                $page['page_title'] = $unknownPages;
            }
            
            $haystack = $page['page_title'];
            $mymatch   = "You searched for";
            $mymatch2   = "تیکت";
    
            if( strpos( $haystack, $mymatch) || strpos( $haystack, $mymatch2) !== false) {
                ///
                }else{
                                
            echo "<p><b>$page[count]</b> نفر در : <a style='color:#ffffff;'  href='$page[page_url]' target='_top'>$page[page_title] </a></p>";
                }
        }
    }
}
catch (PDOException $e)
{
    echo $e->getMessage();
}